MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028974Open CASCADE[OCCT] OCCT:Data Exchangepublic2017-08-07 09:452017-09-29 16:29
Reporterazv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028974: Test cases for STL reader/writer
DescriptionTests have been forgotten while redesigning STL reader/writer in scope of 0028840 issue.
Steps To Reproduce# Files: \\AML\Share\bug28974.zip

# New cases:
testgrid de_mesh
TagsNo tags attached.
Test case numbergroup : de_mesh
Attached Files

- Relationships
related to 0028975closedbugmaster Draw Harness - DBRep_DrawableShape::display() throws exception while displaying shape without free edges in Debug mode 
child of 0028840closedbugmaster Data Exchange - rewrite the STL Reader/Writer 

-  Notes
(0069136)
git (administrator)
2017-08-07 11:58

Branch CR28974 has been created by aml.

SHA-1: 2b2804fa4a897cd1c9e75f8e38dfba3862d1abe4


Detailed log of new commits:

Author: aml
Date: Wed Jun 14 08:07:26 2017 +0300

    0028974: Test cases for STL reader/writer
    
    Add new test grid for STL read/write.
(0069137)
aml (developer)
2017-08-07 12:01

Dear kgv,
Please check the current state of the CR28974 branch.
(0069138)
kgv (developer)
2017-08-07 12:04

Please ask bugmaster to upload test files and start testing on Jenkins.
(0069141)
aml (developer)
2017-08-07 12:07

Dear bugmaster,
Please integrate test files and run testing.
(0069164)
git (administrator)
2017-08-07 16:18

Branch CR28974 has been updated by inv.

SHA-1: 59765d58b55144c4ceb97876e581014f088d8b54


Detailed log of new commits:

Author: bugmaster
Date: Mon Aug 7 16:13:14 2017 +0300

    # Update of test case name

(0069165)
bugmaster (administrator)
2017-08-07 16:46

Shapes have been pushed to test shape repository

Names of test case have been corrected. (A01 -> A1 .... Ugly but in one style with the rest). Fix has been pushed to CR28974.

Please add generation pictures to shape_write_stl like stl_read

(0069179)
git (administrator)
2017-08-07 18:53

Branch CR28974 has been updated by inv.

SHA-1: cc9182ed2ecc4ae9c7f16a258dffcc5f93cb0e2d


Detailed log of new commits:

Author: bugmaster
Date: Mon Aug 7 18:53:40 2017 +0300

    #Removing duplicated cases

Author: bugmaster
Date: Mon Aug 7 18:50:18 2017 +0300

    # Removing shape duplication

(0069180)
bugmaster (administrator)
2017-08-07 18:56

The shape bug28840_6.brep and bug28840_13.brep are the same
bug28840_13.brep was removed from shape repository
de_mesh/shape_write_stl/A13 has been removed and branch has been pushed
(0069189)
git (administrator)
2017-08-08 07:33

Branch CR28974 has been updated by aml.

SHA-1: bb5b285bd35c9078ef00614db52a034477b72e1f


Detailed log of new commits:

Author: aml
Date: Tue Aug 8 07:33:21 2017 +0300

    # Images have been added for the "shape_write_stl" group.

(0069190)
aml (developer)
2017-08-08 07:35

Dear bugmaster,

Images generation has been added for the "shape_write_stl"group.
(0069193)
bugmaster (administrator)
2017-08-08 10:41

Results of new test group execution

Linux:
http://occt-tests/CR28974-OCCT/Debian70-64/summary.html [^]

Windows
http://occt-tests/CR28974-OCCT/Windows-64-VC10/summary.html [^]
(0069650)
git (administrator)
2017-08-18 17:00

Branch CR28974 has been deleted by kgv.

SHA-1: bb5b285bd35c9078ef00614db52a034477b72e1f

- Related Changesets
occt: master 1428d37a
Timestamp: 2017-06-14 05:07:26
Author: aml
Committer: bugmaster
Details ] Diff ]
0028974: Test cases for STL reader/writer

Add new test grid for STL read/write.
add - tests/de_mesh/begin Diff ] File ]
add - tests/de_mesh/end Diff ] File ]
add - tests/de_mesh/grids.list Diff ] File ]
add - tests/de_mesh/shape_write_stl/A1 Diff ] File ]
add - tests/de_mesh/shape_write_stl/A10 Diff ] File ]
add - tests/de_mesh/shape_write_stl/A11 Diff ] File ]
add - tests/de_mesh/shape_write_stl/A12 Diff ] File ]
add - tests/de_mesh/shape_write_stl/A2 Diff ] File ]
add - tests/de_mesh/shape_write_stl/A3 Diff ] File ]
add - tests/de_mesh/shape_write_stl/A4 Diff ] File ]
add - tests/de_mesh/shape_write_stl/A5 Diff ] File ]
add - tests/de_mesh/shape_write_stl/A6 Diff ] File ]
add - tests/de_mesh/shape_write_stl/A7 Diff ] File ]
add - tests/de_mesh/shape_write_stl/A8 Diff ] File ]
add - tests/de_mesh/shape_write_stl/A9 Diff ] File ]
add - tests/de_mesh/shape_write_stl/begin Diff ] File ]
add - tests/de_mesh/shape_write_stl/end Diff ] File ]
add - tests/de_mesh/stl_read/A1 Diff ] File ]
add - tests/de_mesh/stl_read/A10 Diff ] File ]
add - tests/de_mesh/stl_read/A11 Diff ] File ]
add - tests/de_mesh/stl_read/A12 Diff ] File ]
add - tests/de_mesh/stl_read/A13 Diff ] File ]
add - tests/de_mesh/stl_read/A14 Diff ] File ]
add - tests/de_mesh/stl_read/A15 Diff ] File ]
add - tests/de_mesh/stl_read/A2 Diff ] File ]
add - tests/de_mesh/stl_read/A3 Diff ] File ]
add - tests/de_mesh/stl_read/A4 Diff ] File ]
add - tests/de_mesh/stl_read/A5 Diff ] File ]
add - tests/de_mesh/stl_read/A6 Diff ] File ]
add - tests/de_mesh/stl_read/A7 Diff ] File ]
add - tests/de_mesh/stl_read/A8 Diff ] File ]
add - tests/de_mesh/stl_read/A9 Diff ] File ]
add - tests/de_mesh/stl_read/B1 Diff ] File ]
add - tests/de_mesh/stl_read/B10 Diff ] File ]
add - tests/de_mesh/stl_read/B11 Diff ] File ]
add - tests/de_mesh/stl_read/B12 Diff ] File ]
add - tests/de_mesh/stl_read/B13 Diff ] File ]
add - tests/de_mesh/stl_read/B14 Diff ] File ]
add - tests/de_mesh/stl_read/B15 Diff ] File ]
add - tests/de_mesh/stl_read/B2 Diff ] File ]
add - tests/de_mesh/stl_read/B3 Diff ] File ]
add - tests/de_mesh/stl_read/B4 Diff ] File ]
add - tests/de_mesh/stl_read/B5 Diff ] File ]
add - tests/de_mesh/stl_read/B6 Diff ] File ]
add - tests/de_mesh/stl_read/B7 Diff ] File ]
add - tests/de_mesh/stl_read/B8 Diff ] File ]
add - tests/de_mesh/stl_read/B9 Diff ] File ]
add - tests/de_mesh/stl_read/begin Diff ] File ]
add - tests/de_mesh/stl_read/C1 Diff ] File ]
add - tests/de_mesh/stl_read/C10 Diff ] File ]
add - tests/de_mesh/stl_read/C11 Diff ] File ]
add - tests/de_mesh/stl_read/C12 Diff ] File ]
add - tests/de_mesh/stl_read/C13 Diff ] File ]
add - tests/de_mesh/stl_read/C14 Diff ] File ]
add - tests/de_mesh/stl_read/C15 Diff ] File ]
add - tests/de_mesh/stl_read/C2 Diff ] File ]
add - tests/de_mesh/stl_read/C3 Diff ] File ]
add - tests/de_mesh/stl_read/C4 Diff ] File ]
add - tests/de_mesh/stl_read/C5 Diff ] File ]
add - tests/de_mesh/stl_read/C6 Diff ] File ]
add - tests/de_mesh/stl_read/C7 Diff ] File ]
add - tests/de_mesh/stl_read/C8 Diff ] File ]
add - tests/de_mesh/stl_read/C9 Diff ] File ]
add - tests/de_mesh/stl_read/end Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-07 09:45 azv New Issue
2017-08-07 09:45 azv Assigned To => aml
2017-08-07 09:45 azv Status new => assigned
2017-08-07 09:45 azv Relationship added child of 0028840
2017-08-07 10:03 kgv Severity minor => integration request
2017-08-07 11:58 git Note Added: 0069136
2017-08-07 12:01 aml Note Added: 0069137
2017-08-07 12:01 aml Assigned To aml => kgv
2017-08-07 12:01 aml Status assigned => resolved
2017-08-07 12:01 aml Steps to Reproduce Updated View Revisions
2017-08-07 12:04 kgv Note Added: 0069138
2017-08-07 12:04 kgv Assigned To kgv => aml
2017-08-07 12:04 kgv Status resolved => assigned
2017-08-07 12:07 kgv Relationship added related to 0028975
2017-08-07 12:07 aml Note Added: 0069141
2017-08-07 12:07 aml Assigned To aml => bugmaster
2017-08-07 12:07 aml Status assigned => feedback
2017-08-07 13:05 bugmaster Status feedback => reviewed
2017-08-07 16:17 bugmaster Test case number => group : de_mesh
2017-08-07 16:18 git Note Added: 0069164
2017-08-07 16:46 bugmaster Note Added: 0069165
2017-08-07 16:46 bugmaster Assigned To bugmaster => aml
2017-08-07 16:46 bugmaster Status reviewed => assigned
2017-08-07 18:53 git Note Added: 0069179
2017-08-07 18:56 bugmaster Note Added: 0069180
2017-08-08 07:33 git Note Added: 0069189
2017-08-08 07:34 aml Status assigned => resolved
2017-08-08 07:35 aml Note Added: 0069190
2017-08-08 07:35 aml Assigned To aml => bugmaster
2017-08-08 07:35 aml Status resolved => reviewed
2017-08-08 10:41 bugmaster Note Added: 0069193
2017-08-08 10:41 bugmaster Status reviewed => tested
2017-08-11 07:52 bugmaster Changeset attached => occt master 1428d37a
2017-08-11 07:52 bugmaster Status tested => verified
2017-08-11 07:52 bugmaster Resolution open => fixed
2017-08-18 17:00 git Note Added: 0069650
2017-09-29 16:17 aiv Fixed in Version => 7.2.0
2017-09-29 16:29 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker